.student_detail_attributes{ class: hide_student_detail_form(@user) }
  .row
    .col
      = render partial: 'form_errors', locals: { object: @user.student_detail } if @user.student_detail&.errors&.any?
  %h3
    = StudentDetail.model_name.human
  = f.fields_for :student_detail, form_student_detail_for_user(@user) do |sd_f|
    .form-group.row
      = sd_f.label :old_name
      = sd_f.text_field :old_name, class: 'form-control'
    .form-group.row
      = sd_f.label :father_first_name
      = sd_f.text_field :father_first_name, class: 'form-control'
    .form-group.row
      = sd_f.label :mother_first_name
      = sd_f.text_field :mother_first_name, class: 'form-control'
    .form-group.row
      = sd_f.label :birthdate
      = sd_f.date_field :birthdate, class: 'form-control'
    .form-group.row
      = sd_f.label :id_doc_type
      = sd_f.select :id_doc_type, options_for_select(StudentDetail.id_doc_types.keys.map { |k| [t("activerecord.attributes.student_detail.id_doc_types.#{k}"), k] }, @user&.student_detail&.id_doc_type), {}, class: 'form-control'
    .form-group.row
      = sd_f.label :id_doc_series
      = sd_f.text_field :id_doc_series, class: 'form-control'
    .form-group.row
      = sd_f.label :id_doc_number
      = sd_f.text_field :id_doc_number, class: 'form-control'
    .form-group.row
      = sd_f.label :id_doc_cnp
      = sd_f.text_field :id_doc_cnp, class: 'form-control'
    .form-group.row
      = sd_f.label :id_doc_exp_date
      = sd_f.date_field :id_doc_exp_date, class: 'form-control'
    .form-group.row
      = sd_f.label :sex
      = sd_f.select :sex, options_for_select(StudentDetail.sexes.keys.map { |k| [t("activerecord.attributes.student_detail.sexes.#{k}"), k] }, @user&.student_detail&.sex), {}, class: 'form-control'
    .form-group.row
      = sd_f.label :phone_number
      = sd_f.text_field :phone_number, class: 'form-control'
    .form-group.row
      = sd_f.label :email
      = sd_f.text_field :contact_email, class: 'form-control'
    .form-group.row
      = sd_f.label :citizenship
      = sd_f.text_field :citizenship, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.citizenship' }
    .form-group.row
      = sd_f.label :address_country
      = sd_f.text_field :address_country, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.address_country' }
    .form-group.row
      = sd_f.label :address_county
      = sd_f.text_field :address_county, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.address_county' }
    .form-group.row
      = sd_f.label :address_city
      = sd_f.text_field :address_city, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.address_city' }
    .form-group.row
      = sd_f.label :address_street
      = sd_f.text_field :address_street, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.address_street' }
    .form-group.row
      = sd_f.label :address_number
      = sd_f.text_field :address_number, class: 'form-control'
    .form-group.row
      = sd_f.label :address_building_number
      = sd_f.text_field :address_building_number, class: 'form-control'
    .form-group.row
      = sd_f.label :address_entrance_number
      = sd_f.text_field :address_entrance_number, class: 'form-control'
    .form-group.row
      = sd_f.label :address_floor
      = sd_f.text_field :address_floor, class: 'form-control'
    .form-group.row
      = sd_f.label :address_apartment
      = sd_f.text_field :address_apartment, class: 'form-control'
    .form-group.row
      = sd_f.label :country_of_birth
      = sd_f.text_field :country_of_birth, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.country_of_birth' }
    .form-group.row
      = sd_f.label :county_of_birth
      = sd_f.text_field :county_of_birth, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.county_of_birth' }
    .form-group.row
      = sd_f.label :city_of_birth
      = sd_f.text_field :city_of_birth, class: 'form-control autocomplete', autocomplete: :none, data: { autocomplete_type: :users, autocomplete_for: :'student_details.city_of_birth' }
    .form-group.row
      = sd_f.label :contract_number
      = sd_f.text_field :contract_number, class: 'form-control', disabled: true, value: sd_f.object.next_contract_number
    .form-group.row
      = sd_f.label :contract_date
      = sd_f.date_field :contract_date, class: 'form-control'
    .form-group.row
      = sd_f.label :group_date
      = sd_f.date_field :group_date, class: 'form-control'
    .form-group.row
      = sd_f.label :duration_in_weeks
      = sd_f.text_field :duration_in_weeks, class: 'form-control'
    .form-group.row
      = sd_f.label :instructor
      = sd_f.select :instructor_id, options_for_select((current_company.users.instructor.pluck(:id, :first_name, :last_name).map { |i| ["#{i[1]} #{i[2]}", i[0]] }), @user&.student_detail&.instructor_id), {}, class: 'form-control'
    .form-group.row
      = sd_f.label :national_register_number
      = sd_f.text_field :national_register_number, class: 'form-control'
    .form-group.row
      = sd_f.label :contract_series
      = sd_f.text_field :contract_series, class: 'form-control'
    .form-group.row
      = sd_f.label :contract_group
      = sd_f.text_field :contract_group, class: 'form-control'
    .form-group.row
      = sd_f.label :driving_category_ids
      = sd_f.select :driving_category_ids, options_for_select(policy_scope(DrivingCategory).pluck(:name, :id), @user&.student_detail&.driving_category_ids), {}, multiple: true, class: 'form-control'
    .form-group.row
      = sd_f.label :extra_service_ids
      = sd_f.select :extra_service_ids, options_for_select(policy_scope(ExtraService).pluck(:name, :id), @user&.student_detail&.driving_category_ids), {}, multiple: true, class: 'form-control'
    .form-group.row
      = sd_f.label :payment_method
      = sd_f.select :payment_method, options_for_select(StudentDetail.payment_methods.keys.map { |k| [t("activerecord.attributes.student_detail.payment_methods.#{k}"), k] }, @user&.student_detail&.payment_method), {}, class: 'form-control'
    .form-group.row
      = sd_f.label :discount_type
      = sd_f.select :discount_type, options_for_select(StudentDetail.discount_types.keys.map { |k| [t("activerecord.attributes.student_detail.discount_types.#{k}"), k] }, @user&.student_detail&.discount_type), { include_blank: 'No discount' }, class: 'form-control'
    .form-group.row
      = sd_f.label :discount_value
      = sd_f.number_field :discount_value, class: 'form-control'
    .form-group.row
      = sd_f.label :discount_reason
      = sd_f.text_field :discount_reason, class: 'form-control'
    .form-group.row
      = sd_f.label :final_price
      = sd_f.number_field :final_price, class: 'form-control'

:javascript
  const DRIVING_CATEOGRY_PRICES = #{ Hash[DrivingCategoryPolicy::Scope.new(current_user, nil).resolve.pluck(:id, :price)].to_json.html_safe };
  const EXTRA_SERVICE_PRICES = #{ Hash[ExtraServicePolicy::Scope.new(current_user, nil).resolve.pluck(:id, :price)].to_json.html_safe };

